org.apache.ode.utils.sax

## Class PrintErrorHandler

- java.lang.Object
- - org.apache.ode.utils.sax.PrintErrorHandler

- All Implemented Interfaces:
    org.xml.sax.ErrorHandler

      public class PrintErrorHandler
      extends java.lang.Object
      implements org.xml.sax.ErrorHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintErrorHandler(org.xml.sax.ErrorHandler eh, java.io.PrintStream ps)`
    `PrintErrorHandler(java.io.PrintStream pw)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(org.xml.sax.SAXParseException exception)`
    `void` | `fatalError(org.xml.sax.SAXParseException exception)`
    `void` | `warning(org.xml.sax.SAXParseException exception)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintErrorHandler

          public PrintErrorHandler(org.xml.sax.ErrorHandler eh,
                                   java.io.PrintStream ps)

    - #### PrintErrorHandler

          public PrintErrorHandler(java.io.PrintStream pw)

  - ### Method Detail

    - #### warning

          public void warning(org.xml.sax.SAXParseException exception)
                       throws org.xml.sax.SAXException

      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`
      Throws:
        `org.xml.sax.SAXException`
      See Also:
        `ErrorHandler.warning(org.xml.sax.SAXParseException)`

    - #### error

          public void error(org.xml.sax.SAXParseException exception)
                     throws org.xml.sax.SAXException

      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`
      Throws:
        `org.xml.sax.SAXException`
      See Also:
        `ErrorHandler.error(org.xml.sax.SAXParseException)`

    - #### fatalError

          public void fatalError(org.xml.sax.SAXParseException exception)
                          throws org.xml.sax.SAXException

      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`
      Throws:
        `org.xml.sax.SAXException`
      See Also:
        `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`